Incompatible Restricted drivers offered for Legacy Nvidia Cards

Bug #288662 reported by Alex Stansfield on 2008-10-24
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
High
Martin Pitt
Intrepid
High
Martin Pitt

Bug Description

I upgraded from hardy to intrepid today on my desktop machine. It has a nvidia Geforce 2 MX400

I can't remember the exact warning but I think before I did the upgrade it told me GL might not work.

The upgrade finished and I booted into the desktop. I was then told there were restricted drivers I could install. I had a look and it suggested two versions of the nvidia driver, version 71 and version 96. Next to 96 it said 'recommended'.

I picked this option and hit activate.

Rebooted and all was not well. X failed to load and I logged in using the low graphics mode. I then tried the 71 driver. Same story.

Next I looked at the Xorg log and found:
(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
dlopen: /usr/lib/xorg/modules/drivers//nvidia_drv.so: undefined symbol: AllocateScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//nvidia_drv.so

Using this I found the reason for the problem. The legacy driver isn't compatible with the Xorg that's in Intrepid.

Now I'm assuming when I did the upgrade it correctly moved me onto the nv driver but surely then recommending me to upgrade to the nvidia driver is a bug.

This is from lspci incase it's of any use:
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400] (rev b2)
 Subsystem: Device 1642:3222
 Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 16
 Memory at d8000000 (32-bit, non-prefetchable) [size=16M]
 Memory at d0000000 (32-bit, prefetchable) [size=128M]
 [virtual] Expansion ROM at d9000000 [disabled] [size=64K]
 Capabilities: <access denied>
 Kernel modules: nvidiafb, rivafb

I recognise this incompatibility isn't ubuntu's fault but I think fixing this bug and perhaps a more stern warning about lack of GL in older card before an upgrade will save you from getting bogged down with graphics chip issues on launch day.

Martin Pitt (pitti) wrote :

Severity high, since this breaks people's boxes, and we prominently advertise those drivers right after installation.

Martin Pitt (pitti) wrote :

This is particularly worrysome because nvidia-common still pulls in nvidia-96-modaliases and nvidia-71-modaliases. It might be a requirement for the transition away from those to nv in update-manager, so I don't think we should drop them now.

Martin Pitt (pitti) wrote :

Fixed package uploaded, waiting in unapproved queue now.

http://bazaar.launchpad.net/~ubuntu-core-dev/jockey/ubuntu/revision/279

Changed in jockey:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.5~beta3-0ubuntu5

---------------
jockey (0.5~beta3-0ubuntu5) intrepid; urgency=low

  * Merge bug fix from trunk:
    - nvidia.py: Drop constructor check for unsupported legacy versions; at
      ctor invocation time, the package is not set yet, and this check
      should not be upstream in the first place.
    - detection.py: Do not instantiate handlers from DriverDBs which are
      unavailable. (Pre-requisite for fixing LP #288662)
  * data/handlers/nvidia.py: Move test for currently unsupported legacy
    versions (96, 71) to available() where it is actually evaluated.
    (LP: #288662)

 -- Martin Pitt <email address hidden> Fri, 24 Oct 2008 13:43:22 +0200

Changed in jockey:
status: Fix Committed → Fix Released
Alex Stansfield (casualgenius) wrote :

I know this bug is now resolved and this might not be the right place for this comment but it's related.

Is there going to be a more indepth warning to those using legacy chipsets about the problems involved with upgrading to Intrepid?

GL things I took for granted were compiz and avant-window-navigator. Also the nv driver seems to be very unfriendly towards switching users in X which is something I do often but now I find it works once then after that I need to reboot to get it to work.

I think users need to be warned that by upgrading there is a lot they take for granted that will not work correctly. They may have to reconfigure X, they may have to change how their desktop is setup (i'm back to using gnome-panel). They might not be able to easily have multiple desktop users.

I'm now having to decide between buying a new graphics card or moving back to hardy.

This is clearly nvidia's problem but the first place users will come when their new upgrade doesn't work properly will be here, forums and irc.

Apologies if this has already been addressed, as far as I can tell there is no way I can see what the current warning to users is.

Alex Stansfield [2008-10-28 6:25 -0000]:
> Is there going to be a more indepth warning to those using legacy
> chipsets about the problems involved with upgrading to Intrepid?

Yes, update-manager will tell you about the problem if your card only
works with the legacy drivers (which aren't working in intrepid). If
you still choose to upgrade, it will transition your X.org to nv.

> I'm now having to decide between buying a new graphics card or moving
> back to hardy.

That's unfortunately what it comes down to, unless you can get along
with the nv driver. At least hardy is an LTS, so it will be supported
on the desktop for another 2.5 years.

Bryan Quigley (bryanquigley) wrote :

In addition: Do we warn about dual monitor setups?
(I don't believe nv supports them)

Alex Stansfield (casualgenius) wrote :

I'm aware of the warning given by Update Manager, I received it when I upgraded.

However from what I remember it really doesn't let the user know just how much functionality they will lose by moving to the nv driver.

All I'm saying is that perhaps the warning should give more detail to the user so they know the level of what wont work and they can make a more informed decision about whether to upgrade.

I'm just trying to save the guys at Ubuntu from the headache of a couple of days of users complaining that X feature no longer works when it's not Ubuntu's fault in the first place.

Michael Vogt (mvo) wrote :

Thanks for your bugrpeort.

The current text in update-manager is:

_("Upgrading may reduce desktop "
   "effects, and performance in games "
   "and other graphically intensive "
   "programs."),
_("This computer is currently using "
    "the NVIDIA 'nvidia' "
     "graphics driver. "
     "No version of this driver is "
     "available that works with your "
     "video card in Ubuntu "
     "8.10.\n\nDo you want to continue?"))

Its not ideal to change the wording at this point because this would break the translations for those strings.

Alex Stansfield (casualgenius) wrote :

Thanks for the update.

I had a feeling it was a little close to launch day for any change but thought I should mention it.

postadelmaga (postadelmaga) wrote :

Also affect me on 10.04 ... the problem seams came from modinfo ...

jockey.log report that:
--- WARNING: modinfo for module nvidia failed: ERROR: modinfo: could not find module nvidia

by shell i trye that :
                               modinfo nvidia

postadelmaga (postadelmaga) wrote :

.... continue from the previous comment ... sorry :)

by shell i tried that :
                               modinfo nvidia
Output:
                              ERROR: modinfo: could not find module nvidia

While "modinfo nvidia-current" works well ...

so i think it is an "alias" problem ... i hope that this help as i see that this bug is very old (2008)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers